package com.bocloud.cmp.model;

import java.util.List;

/**
 * 组织机构业务Bean
 *
 * @author dongkai
 */
public class DepartmentBean {
    private Long id;
    private String remark;
    private String name;
    private String description;
    private String props;
    private Long parentId;
    private DepartmentBean parent;
    /**
     * 子部门id集合
     */
    private List<Integer> descendant;

    public List<Integer> getDescendant() {
        return descendant;
    }

    public void setDescendant(List<Integer> descendant) {
        this.descendant = descendant;
    }

    public DepartmentBean() {
    }

    public DepartmentBean(Long id, String name, String description) {
        this.id = id;
        this.name = name;
        this.description = description;
    }

    public DepartmentBean(Long id) {
        this.id = id;
    }

    /**
     * @return the id
     */
    public Long getId() {
        return id;
    }

    /**
     * @param id the id to set
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * @return the remark
     */
    public String getRemark() {
        return remark;
    }

    /**
     * @param remark the remark to set
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * @return the props
     */
    public String getProps() {
        return props;
    }

    /**
     * @param props the props to set
     */
    public void setProps(String props) {
        this.props = props;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public DepartmentBean getParent() {
        return parent;
    }

    public void setParent(DepartmentBean parent) {
        this.parent = parent;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }
}
